import React, { Component } from 'react';
import { ITitle } from '../title';
interface IItemProps extends ITitle {
    dataKey?: string | number;
    children: React.ReactNode;
}
export interface ISingleSelect extends ITitle {
    activeKey?: string | number;
    defaultActiveKey?: string | number;
    onChange?: (key: string | number) => void;
}
interface IState {
    activeKey: string | number;
}
declare class Item extends Component<IItemProps, IState> {
    constructor(props: IItemProps);
    render(): JSX.Element;
}
declare class SingleSelect extends Component<ISingleSelect, IState> {
    static Item: typeof Item;
    constructor(props: ISingleSelect);
    componentDidUpdate(prevProps: ISingleSelect, prevState: IState): void;
    render(): React.ReactNode;
}
export default SingleSelect;
